// This file was generated by Dashcode from Apple Inc.
// You may edit this file to customize your Dashboard widget.

var backgroundColor = 0;
var calFormat = 0;

//
// Function: load()
// Called by HTML body element's onload event when the widget is ready to start
//
function load()
{
    setupParts();
    document.addEventListener ("keypress", keyPressed, true);
    backgroundColor = loadPreferences();
    changeColor(backgroundColor);
	changeCalFormat(calFormat);
    showCalFormat();
}

function loadPreferences() {
	var result;
	if (window.widget) {
		result = widget.preferenceForKey(widget.identifier + "-" + "backgroundColor");
		calFormat = widget.preferenceForKey(widget.identifier + "-" + "calFormat");
	}
	if (!result) {
		result = 0;
		calFormat = 0;
	}
	return result;
}

function remove()
{
    if (window.widget)
	{
		widget.setPreferenceForKey(null, widget.identifier + "-" + "backgroundColor");
		widget.setPreferenceForKey(null, widget.identifier + "-" + "calFormat");
	}
}

function show()
{
    updateCalendar();
}

function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }

    showCheckmark();
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

function keyPressed(e)
{
		
		switch (e.keyIdentifier) {
			case "Up":
				goToLastYear();
				break;
			
			case "Down":
				goToNextYear();
				break;
			
			case "Left":
			case "PageUp":
				goToLastMonth();
				break;
			
			case "Right":
			case "PageDown":
				goToNextMonth();
				break;
			
			case "Home":
				goToday();
				break;
		}

}

function backsideLogoClicked()
{
	window.widget.openURL('http://www.ideographer.com/ideocal/');
}

if (window.widget) {
    widget.onremove = remove;

    widget.onshow = show;

}

function showCheckmark() {
	var p = document.getElementById('checked');
	p.style.left = backgroundColor*36 + 30;
	p.style.visibility = 'visible';
}

function changeColor(color)
{
	if (color>=0 && color<4) {
		backgroundColor = color;
		var p = document.getElementById('checked');
		var f = document.getElementById('frontImg');
		p.style.left = color*36 + 30;
		p.style.visibility = 'visible';
		if (color==0)
			f.src = "Default.png";
		else
			f.src = 'Images/background'+color+'.png';
		if (window.widget) {
			widget.setPreferenceForKey(backgroundColor.toString(), widget.identifier + "-" + 'backgroundColor');
		}
	}
}

function changeCalFormat(format)
{
	if (window.widget) {
		widget.setPreferenceForKey(format, widget.identifier + "-" + 'calFormat');
		calFormat = format;
		showCalendar(year, month, day);
		showCalendar();
	}
}

function showCalFormat()
{
	var p = document.getElementById('calFormatMenu');
	p.selectedIndex = calFormat;
}